Page MenuHomePhabricator

[PAB3] Check that all is well with the third portal A/B test
Closed, ResolvedPublic1 Story Points

Description

See the epic T121567 for more details on this task and test.

Event Timeline

debt created this task.Jan 19 2016, 11:03 PM
debt raised the priority of this task from to High.
debt updated the task description. (Show Details)
debt added subscribers: Deskana, Aklapper, Ironholds and 2 others.
debt renamed this task from [PAB2] Check that all is well with this test to [PAB3] Check that all is well with this test.Jan 20 2016, 8:28 PM
debt set Security to None.
debt moved this task from Needs triage to UX on the Discovery board.Feb 4 2016, 5:18 PM
dcausse moved this task from UX to On Sprint Board on the Discovery board.Feb 4 2016, 8:21 PM
Deskana renamed this task from [PAB3] Check that all is well with this test to [PAB3] Check that all is well with the third portal A/B test.Mar 3 2016, 9:13 PM

The actual test for this should be deployed early next week; this task should be actionable then.

mpopov added a subscriber: mpopov.Mar 17 2016, 7:33 PM

This is currently blocked by T124112 (Deployment). What's the status with that and T124111 (Implementation)? I don't really understand why this & T124115 are at the top of analysis sprint if multiple tasks leading up to these analysis tasks have not been completed and no progress updates have been reported. The last update related to this was Jan's comment and my OK: https://phabricator.wikimedia.org/T121567#2106817

@debt: If I recall correctly, the team has decided to put language detection (T121567) on the back-burner in favor of shorter term improvements (e.g. collapsing links, moving primary links, other redesigns)? Or am I just totally misunderstanding the situation? :) If what I've said is correct, then I think this set of tasks should reflect the current state of things.

This is currently blocked by T124112 (Deployment). What's the status with that and T124111 (Implementation)? I don't really understand why this & T124115 are at the top of analysis sprint if multiple tasks leading up to these analysis tasks have not been completed and no progress updates have been reported. The last update related to this was Jan's comment and my OK: https://phabricator.wikimedia.org/T121567#2106817

Per https://phabricator.wikimedia.org/T124114#2109261, I was willing to keep this task in the sprint for another week since it was going to get unblocked. At this stage, with no deployment scheduled for the test this week, this task should now be removed from the sprint as unactionable. The priority of this task stands; it will be placed at the top of the backlog, as high priority, to be pulled into the sprint when the blocking tasks are resolved.

Deskana moved this task from On Sprint Board to Analysis on the Discovery board.

Also removing the epic tag, as this task does not seem to be an epic.

Deskana removed a project: Epic.Mar 17 2016, 7:42 PM

According to the deployments page on wikitech, the code to turn this A/B test on is awaiting deployment. This task (and T124115) will be pulled into Discovery-Analysis (Current work) when that happens.

This code is now in production - as of March 22, 2016. Please let the Portal team know if there are any issues with the data that is being collected.

Readding to the sprint since this task is now actionable.

Deskana updated the task description. (Show Details)Mar 29 2016, 8:10 PM
Deskana moved this task from Analysis to On Sprint Board on the Discovery board.Mar 29 2016, 9:11 PM
mpopov claimed this task.Apr 1 2016, 5:33 PM
mpopov moved this task from Backlog to In progress on the Discovery-Analysis (Current work) board.
mpopov set the point value for this task to 1.
mpopov added a comment.Apr 1 2016, 6:21 PM

Data is coming in fine!

debt closed this task as Resolved.Apr 15 2016, 3:48 PM

This was completed on April 1, 2016 - closing now :)